Jump to content


Photo

PHP Unit on window7 with xampp

phpunit xampp window7

  • Please log in to reply
10 replies to this topic

#1 rakesh007

rakesh007

    Member

  • New Members
  • PipPip
  • 17 posts

Posted 06 December 2011 - 05:45 AM

First follow step 8 from below URL
http://zurmo.org/wik...r-development-2


Problem 1:
When I run:
pear install phpunit/PHPUnit

I get the following:
No releases available for package "pear.phpunit.de/PHPUnit"
install failed


Problem 2:
When I run:
pear install –alldeps phpunit/PHPUnit
give me error:
"Console_Getopt: unrecognized option --$opt"

Solution :

try this.
pear clear-cache then,
pear install -a -f phpunit/PHPUnit

now start with step 8 from given above url.

#2 Jason

Jason

    Administrator

  • Administrators
  • 864 posts
  • LocationChicago

Posted 06 December 2011 - 10:43 PM

Thanks Rakesh,
We are making the adjustment in our wiki entries.

Jason Green
Zurmo Team
Need support? Upgrade now


#3 R Muthusamy

R Muthusamy

    Newbie

  • New Members
  • Pip
  • 8 posts
  • LocationIndia

Posted 02 January 2012 - 11:41 AM

Hi,

is there any solution for this issue. ??

Thanks,

#4 R Muthusamy

R Muthusamy

    Newbie

  • New Members
  • Pip
  • 8 posts
  • LocationIndia

Posted 02 January 2012 - 12:18 PM

now, i am using windows7. how can i solve the phpunit issues in windows7 ?

#5 Jason

Jason

    Administrator

  • Administrators
  • 864 posts
  • LocationChicago

Posted 02 January 2012 - 07:25 PM

Hi,

is there any solution for this issue. ??

Thanks,



If you look at the post by Rakesh above, you will see he has a 'solution' part in his post that specifies the solution.

Jason Green
Zurmo Team
Need support? Upgrade now


#6 R Muthusamy

R Muthusamy

    Newbie

  • New Members
  • Pip
  • 8 posts
  • LocationIndia

Posted 03 January 2012 - 01:32 PM

no, i haven't found any solution for this issue. if you found any solution, please post here.

#7 sanbrar

sanbrar

    Advanced Member

  • Members
  • PipPipPip
  • 72 posts

Posted 25 February 2012 - 01:58 AM

I got PHPUnit to work but I can't run any tests.


...\app\protected\tests\unit>phpunit --verbos TestSuite.php all

Zurmo tests are not working with PHPUnit 3.6.10
PHPUnit version must be equal and higher then PHPUnit 3.5 and lower then 3.6
Please downgrade your PHPUnit version

Is there a way to specify the version of PHPUnit. I used "pear install -a -f phpunit/PHPUnit" to install.

#8 Jason

Jason

    Administrator

  • Administrators
  • 864 posts
  • LocationChicago

Posted 25 February 2012 - 05:11 AM

Which version of Zurmo are you using? I think the latest release 0.6.1, which we released today works with 3.6 and beyond. I will check with the team.

Jason Green
Zurmo Team
Need support? Upgrade now


#9 Ivica

Ivica

    Advanced Member

  • Moderators
  • 565 posts

Posted 25 February 2012 - 06:08 AM

Please use recent release of Zurmo(0.6.1), it will work with PHPUnit version 3.6.10.

#10 sanbrar

sanbrar

    Advanced Member

  • Members
  • PipPipPip
  • 72 posts

Posted 25 February 2012 - 05:31 PM

I was using 0.6.0 and now I will try it with 0.6.1

Thanks

#11 Ivica

Ivica

    Advanced Member

  • Moderators
  • 565 posts

Posted 26 February 2012 - 06:07 AM

Zurmo 0.6.0 is not compatible with PHPUnit 3.6 branch. So just download and install the latest stable version oz Zurmo(0.6.1), and you will be able to run unit tests.




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users